program Poisson_1Dp_3p1

! Difuso unidimensional permanente com ou sem termo fonte

! Verso original 1.0  ( 2 Set 98)
! Verso atual    3.1  ( 1 Out 04)
! Verso atual    3.1a (24 Jan 11)
! ltima alterao =    24 Jan 11

! MODELO MATEMTICO (equao diferencial):
!
!   d2T/dx2 = S
!
!   T  = incgnita
!   x  = coordenada espacial
!   S  = termo fonte

! MODELO NUMRICO (resumo)
!   Mtodo numrico: diferenas finitas
!   Malha uniforme unidimensional
!   Solver: TDMA
!   Preciso dupla
!   Linguagem Fortran
!   Aplicativo usado: Microsoft Developer Studio, Fortran PowerStation 4.0
!   Tipo de projeto: Console Application
!   Todas as variveis so adimensionais
!   Variveis de interesse:
!     Temperatura no meio do domnio: T(1/2)
!     Temperatura mdia (T_media)
!     Derivada de primeira ordem da temperatura em X=1 (Inclinacao)
!   Tipos de aproximaes numricas:
!     Termo difusivo:  CDS
!     T_media: regra do trapzio
!     Inclinacao: UDS-2
!   Condies de contorno de Dirichlet
!   Solues analticas disponveis para 5 tipos de termos fontes (S)
!   Tipo do sistema de equao: ap(P)*T(P) = aw(P)*T(P-1) + ae(P)*T(P+1) + bp(P)

! ARQUIVOS envolvidos no programa (extenso a Poisson_1Dp_3p1_):
!   variaveis.f90    = define as variveis do programa
!   solver.f90       = resolve o sistema de equaes com o mtodo TDMA
!   dados.f90        = l e escreve os dados do programa, e gera a malha
!   coeficientes.f90 = calcula os coeficientes e termo fonte
!   calculos.f90     = calcula as solues analtica e numrica
!   resultados.f90   = mostra listagem e grfico dos resultados
!   main.f90         = programa principal
!   T.dat            = dados para os grficos
!   T.gnu            = comandos para Wgnuplot, grfico de T
!   E.gnu            = comandos para Wgnuplot, grfico de erro
!   leia_me.txt      = dados bsicos sobre o programa
!
! Outros arquivos
!   Poisson_1Dp_3p1.in = dados do programa
!   "caso"             = sada principal do programa
!   Notepad.exe        = editor de arquivos
!   Wgnuplot.exe       = programa gerador de grfico

!-------------------------------------------------------------------------------

use dados
use calculos
use resultados

!-------------------------------------------------------------------------------

implicit none

!-------------------------------------------------------------------------------

  call le_dados

  open(out,file=caso)

  call escreve_dados

!-------------------------------------------------------------------------------

  call solucao

  call visualizacao

  close (out)

  note_caso = 'notepad '//caso

  dos = system(note_caso) ! lista arquivo de resultados

!-------------------------------------------------------------------------------

end
